Bug 1029539 - Machine type rhel6.1.0 and balloon device cause migration fail from RHEL6.5 host to RHEL7.0 host
Machine type rhel6.1.0 and balloon device cause migration fail from RHEL6.5 ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Luiz Capitulino
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 09:50 EST by Luiz Capitulino
Modified: 2014-06-17 23:41 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-20.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1027561
Environment:
Last Closed: 2014-06-13 08:21:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Miroslav Rezanina 2013-11-28 02:34:45 EST
Fix included in qemu-kvm-1.5.3-20.el7
Comment 3 Qunfang Zhang 2013-12-16 04:48:11 EST
Reproduced the issue on qemu-kvm-1.5.3-19.el7. Verified pass on qemu-kvm-1.5.3-21.el7.

Steps:

1. Boot up a guest with balloon device with "-M rhel6.1.0" machine type on rhel6.5 host.

/usr/libexec/qemu-kvm -cpu SandyBridge -M rhel6.1.0 -enable-kvm -m 4096 -smp 2,sockets=2,cores=1,threads=1 -name rhel7.0-64 -uuid 9a0e67ec-f286-d8e7-0548-0c1c9ec93009 -nodefconfig -nodefaults -monitor stdio -rtc base=utc,clock=host,driftfix=slew -no-kvm-pit-reinjection -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x7 -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x4 -drive file=/mnt/rhel7.0-64-qzhang.qcow2,if=none,id=drive-disk0,format=qcow2,cache=none,id=disk0 -device virtio-blk-pci,bus=pci.0,addr=0x8,drive=drive-disk0,id=disk-0  -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,drive=drive-ide0-1-0,bus=ide.0,unit=1,id=scsi-cdrom -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=net0,mac=44:37:e6:5d:6b:11,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=port1,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=port2,bus=virtio-serial0.0,id=port2 -device usb-tablet,id=input0 -vnc :10 -vga std -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6  -drive if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -qmp tcp:0:5555,server,nowait -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0

2. Boot up the guest on 7.0 host (destination host) with -incoming tcp:0:5800.

3. Migrate guest to 7.0 host with balloon device attached. 

Result:
On destination host:
(qemu) 
(qemu) qemu-kvm: Features 0x30000002 unsupported. Allowed features: 0x51000002
qemu: warning: error while loading state for instance 0x0 of device '0000:00:06.0/virtio-balloon'
load of migration failed


Verified this bug on qemu-kvm-1.5.3-21.el7 with balloon device attached with all the following machine types: -M rhel6.0.0/rhel6.1.0/rhel6.2.0/rhel6.3.0/rhel6.4.0/rhel6.5.0. Migration finishes successfully and destination qemu-kvm does not quit. Balloon guest memory to a smaller value, it works.  So this bug is fixed.
Comment 4 Ludek Smid 2014-06-13 08:21:31 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.